.main {
    display: flex;
    flex-direction: column;
}

.main__services {
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.main__services__title {
    text-align: center;
    font-size: var(--fs-1);
    font-weight: 700;
    color: var(--content-primary);
}

.main__services__description {
    text-align: center;
    max-width: 600px;
    font-size: var(--fs-base);
    color: var(--content-primary);
    font-weight: 300;
}

.main__services__list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
    width: 100%;
    max-width: 900px;
    list-style: none;
    margin-top: 32px;
}

.main__services__list__article {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 16px;
    border-radius: var(--border-radius-1);
}

.web-development {
    background-image: url('../images/web-development.jpg');
    background-size: cover;
    background-position: center;
}

.social-media-management {
    background-image: url('../images/social-media-management.jpg');
    background-size: cover;
    background-position: center;
}

.main__services__list__article__card {
    background-color: var(--background-content-secondary-inverted);
    filter: opacity(0.9);
    padding: 24px;
    border-radius: var(--border-radius-1);
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.main__services__list__article__card__title {
    color: var(--content-primary);
    font-size: var(--fs-1);
    font-weight: 700;
}

.main__services__list__article__card__description {
    font-size: var(--fs-base);
    font-weight: 300;
    margin-bottom: 24px;
    flex: 1;
    color: var(--content-primary);
    line-height: 1.5;
}

.main__services__list__article__card__link {
    align-self: flex-start;
    margin-top: auto;
}

@media (min-width: 768px) {
    .main__services__title {
        font-size: var(--fs-3);
    }

    .main__services__description {
        font-size: var(--fs-1);
    }

    .main__services__list__article__card__title {
        font-size: var(--fs-2);
    }

    .main__services__list__article__card__description {
        font-size: var(--fs-1);
    }
}

@media (min-width: 1024px) {
    .main__services__list {
        grid-template-columns: 1fr 1fr;
        gap: 32px;
    }

    .main__services__description {
        max-width: 900px;
    }
}